TLS API-Referenz
v1.6.2
OpenAPI herunterladen
Reissue TLS certificate
Reissue an already issued or certificate-revoked TLS certificate with a new CSR while keeping the same order. Optionally, validity_days can request a shorter replacement certificate lifetime, but the CA only supports that for eligible multi-year plan orders and never beyond the remaining order contract.
POST
/tls/certificate/{certificate_id}/reissue
TLSCertificatesByID

Authentifizierung

x-api-keyapplication/json

Parameter

Name
Typ
Format
Pflicht
Description
certificate_id
path
string
Pflicht
Public TLS certificate ID

Request Body

application/jsonPflicht
Reissue request payload
tlsCertificateReissueRequest
tlsCertificateReissueRequest
{
  "csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIIC...\n-----END CERTIFICATE REQUEST-----",
  "dcv_method": "dns-cname-token"
}

Felder

Name
Typ
Format
Pflicht
Description
csr
string
Pflicht
PEM encoded certificate signing request (CSR).
common_name
string
Optional
Fully Qualified Domain Name.
dns_names
array<string>
Optional
Optional. If provided, the SAN list must match the current order exactly.
dcv_method
dns-cname-token, email
string
Pflicht
comments
string
Optional
Optional provider comment stored with the reissue request.
validity_days
integer
Optional
Optional requested certificate lifetime in days for the replacement certificate. The CA only honors this for eligible multi-year plan orders and never beyond the remaining order contract.

Request-Beispiel

POST
curl --request POST \
  --url 'https://api.regfish.com/tls/certificate/7K9QW3M2ZT8HJ/reissue' \
  --header 'x-api-key: YOUR_API_KEY' \
  --header 'content-type: application/json' \
  --data '{
  "csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIIC...\n-----END CERTIFICATE REQUEST-----",
  "dcv_method": "dns-cname-token"
}'

Responses

200
TLS certificate reissue accepted
application/jsontlsCertificateResponse
Response-Beispiel 200
{
  "success": true,
  "code": 0,
  "response": {
    "id": "7K9QW3M2ZT8HJ",
    "status": "pending",
    "common_name": "example",
    "product": "example",
    "provider": "digicert",
    "dns_names": [
      "example"
    ],
    "action_required": false,
    "pending_reason": "validation_pending",
    "pending_message": "The TLS certificate order is waiting for domain validation.",
    "completion_url": "",
    "organization_id": null,
    "certificate_pem_available": false
  }
}
400
Invalid request payload or CSR
application/jsonError
Response-Beispiel 400
{
  "success": false,
  "message": "Invalid request payload or CSR",
  "error": "Invalid request payload or CSR"
}
401
Unauthorized
application/jsonError
Response-Beispiel 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
404
TLS certificate not found
application/jsonError
Response-Beispiel 404
{
  "success": false,
  "message": "TLS certificate not found",
  "error": "TLS certificate not found"
}
409
The TLS certificate cannot be reissued in its current state
application/jsonError
Response-Beispiel 409
{
  "success": false,
  "message": "The TLS certificate cannot be reissued in its current state",
  "error": "The TLS certificate cannot be reissued in its current state"
}
500
Unexpected error
application/jsonError
Response-Beispiel 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
502
Upstream TLS provider error
application/jsonError
Response-Beispiel 502
{
  "success": false,
  "message": "Upstream TLS provider error",
  "error": "Upstream TLS provider error"
}
Verwandte Modelle
Community

Werde ein Teil der Community

Das DNS API von Regfish ist die perfekte Lösung für Entwickler, die ihre Domains und DNS-Zonen automatisieren möchten. Werde Teil der Community und profitiere von den Vorteilen der DNS-Automatisierung. Das DNS API steht jedem Regfish-Kunden kostenlos zur Verfügung.